Page MenuHomePhabricator

Clear documentation should be provided about the *my* permissions
Closed, ResolvedPublic

Description

In T69145: editmyprivateinfo blocks confiirming email, Brad says:

what they need to do is not screw with the assignments for editmyoptions
and the other 'my' permissions at all.

As far as I can see, this guidance isn't documented anywhere. It should at least be noted in DefaultSettings.php and [[mw:Manual:User rights]].


Version: 1.24rc
Severity: normal

Details

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:28 AM
bzimport set Reference to bz67167.

[[mw:Manual:User rights]] contains clear instructions about editmyoptions. I committed a pull request in github and clear instructions will be added to DefaultSettings.php file.

Thank you dkontotasiou. Can you provide a link to the pull request, please? Or even better, could you submit the patch via Gerrit? I have seen that you have submitted a first patch there already.

@D_konto: Please provide a link to your change...

Qgil changed the task status from Open to Stalled.Jan 12 2015, 8:46 AM
Qgil updated the task description. (Show Details)
Qgil set Security to None.
Aklapper changed the task status from Stalled to Open.Nov 3 2016, 10:02 AM
Aklapper removed D_konto as the assignee of this task.

@D_konto: I am resetting the assignee of this task because there have been no signs of progress lately (please correct me if I'm wrong).
Resetting the assignee avoids the impression that somebody is already working on fixing this task and it also allows anybody else to potentially work towards fixing this task.
Please claim this task again when you plan to fix this task (via 'Assign / Claim' in the 'Actions' dropdown menu) - it would be very welcome!
Thanks for your understanding!

Change 320078 had a related patch set uploaded (by Harish halo):
Add documentaion for User 'my' permission

https://gerrit.wikimedia.org/r/320078

Nemo_bis removed haloxwiz as the assignee of this task.
Nemo_bis added subscribers: haloxwiz, Nemo_bis.

The documentation has already been updated on the wiki; DefaultSettings.php doesn't host documentation about each user right.

Change 320078 abandoned by Thiemo Kreuz (WMDE):
[mediawiki/core@master] Add documentaion for User 'my' permission

Reason:

https://gerrit.wikimedia.org/r/320078